set weldment angle for given configuration scope

Programming and macros
Kjara
Posts: 21
Joined: Mon Jul 19, 2021 2:49 am
Answers: 0
x 1

set weldment angle for given configuration scope

Unread post by Kjara »

I have a part with more than 1 configuration, and I have a structural member in that part.

I want to set the angle for a given configuration scope (this/all/specific), just like one can do with dimensions using IDimension.SetValue3.

So I'm basically looking for a method like IDimension.SetValue3, but which sets the angle of a structural member instead. Does such a method exist? And if no such method exists, how else can I achieve this?

What I currently have is this:

1. I take the IStructuralMemberFeatureData and call AccessSelections.
2. If the weldment has no groups, I use the IStructuralMemberFeatureData.RotationAngle setter to set my value. If it has groups, I go through all groups and use IStructuralMemberGroup.RotationAngle setter instead.
3. I call IStructuralMemberFeatureData.ModifyDefinition and finally IModelDoc.EditAssembly (on root model doc).

It does set the angle, but I have no control over the scope using that method. It always uses the current scope, i.e. the one that is selected here:
grafik.png
So is there a method that allows me to set the scope manually before going through the steps above? If there is, that would solve my problem as well.

Any other ideas or hints?
Post Reply